javax.websocket

## Interface EndpointConfig

- All Known Subinterfaces:
    ClientEndpointConfig, ServerEndpointConfig

      public interface EndpointConfig

  The endpoint configuration contains all the information needed during the handshake process for this end point. All endpoints specify, for example, a URI. In the case of a server endpoint, the URI signifies the URI to which the endpoint will be mapped. In the case of a client application the URI signifies the URI of the server to which the client endpoint will attempt to connect.
  Author:
    dannycoward

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Class<? extends Decoder>>` | `getDecoders()` Return the Decoder implementation classes configured.
    `List<Class<? extends Encoder>>` | `getEncoders()` Return the Encoder implementation classes configured.
    `Map<String,Object>` | `getUserProperties()` This method returns a modifiable Map that the developer may use to store application specific information relating to the endpoint that uses this configuration instance.

- - ### Method Detail

    - #### getEncoders

          List<Class<? extends Encoder>> getEncoders()

      Return the Encoder implementation classes configured. These will be instantiated by the container to encode custom objects passed into the send() methods on remote endpoints.
      Returns:
        the encoder implementation classes, an empty list if none.

    - #### getDecoders

          List<Class<? extends Decoder>> getDecoders()

      Return the Decoder implementation classes configured. These will be instantiated by the container to decode incoming messages into the expected custom objects on `MessageHandler.Whole.onMessage(Object)` callbacks.
      Returns:
        the decoder implementation classes, the empty list if none.

    - #### getUserProperties

          Map<String,Object> getUserProperties()

      This method returns a modifiable Map that the developer may use to store application specific information relating to the endpoint that uses this configuration instance. Web socket applications running on distributed implementations of the web container should make any application specific objects stored here java.io.Serializable, or the object may not be recreated after a failover.
      Returns:
        a modifiable Map of application data.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.